GH-VARIABLE-DELETE(1)

NAME
gh-variable-delete - Delete variables

SYNOPSIS
gh variable delete <variable-name> [flags]

DESCRIPTION
Delete a variable on one of the following levels: - repository (default): available to GitHub Actions runs or Dependabot in a repository - environment: available to GitHub Actions runs for a deployment environment in a repository - organization: available to GitHub Actions runs or Dependabot within an organization

OPTIONS

-e, --env <string>
    Delete a variable for an environment

-o, --org <string>
    Delete a variable for an organization

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh variable remove

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-variable(1)